# $Revision: 1.73 $, $Date: 2010/04/02 20:50:04 $
Summary:	The GNU Scientific Library for numerical analysis
Summary(es.UTF-8):	Biblioteca científica del GNU
Summary(pl.UTF-8):	GNU Scientific Library do analizy numerycznej
Summary(pt_BR.UTF-8):	Biblioteca científica GNU
Summary(ru.UTF-8):	Научная библиотека GNU для числового анализа
Summary(uk.UTF-8):	Наукова бібліотека GNU для числового аналізу
Name:		gsl
Version:	1.14
Release:	1
Epoch:		1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/gsl/%{name}-%{version}.tar.gz
# Source0-md5:	d55e7b141815412a072a3f0e12442042
Patch0:		%{name}-info.patch
Patch1:		%{name}-link.patch
URL:		http://www.gnu.org/software/gsl/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	texinfo
Obsoletes:	libgsl0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gsl package includes the GNU Scientific Library (GSL). The GSL is
a collection of routines for numerical analysis, written in C. The GSL
is in alpha development. It now includes a random number suite, an FFT
package, simulated annealing and root finding. In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

%description -l es.UTF-8
Esta es la biblioteca científica del GNU. Ofrece acceso a funciones
para manejar muchos problemas que aparecen en computación científica.

%description -l pl.UTF-8
Pakiet gsl zawiera bibliotekę funkcji przydatnych w pracy naukowej
dostępnych na licencji (GNU). GSL jest zbiorem funkcji napisanych
w języku C, przeznaczonych do analizy numerycznej. Biblioteka jest
jeszcze w bardzo wczesnym stadium tworzenia. W tej chwili zawiera
generatory liczb losowych, FFT, znajdowanie miejsc zerowych. W
przyszłości, będzie zawierać całkowanie metodą Monte Carlo oraz
funkcje specjalne. Konsolidacja z GSL pozwala programom na dostęp do
funkcji, które mogą być przydatne w rozwiązywaniu wielu problemów
pojawiających się w obliczeniach naukowych.

%description -l pt_BR.UTF-8
Esta é a biblioteca científica do projeto GNU. Fornece acesso a
funções para tratar muitos problemas que surgem em computação
científica.

%description -l ru.UTF-8
Это научная библиотека GNU. Сборка с ней дает доступ к функциям,
решающим многие задачи, типичные для научных расчетов.

%description -l uk.UTF-8
Це наукова бібліотека GNU. Зборка з нею дає доступ до функцій, що
дозволяють розв'язати багато задач, типових для наукових розрахунків.

%package devel
Summary:	Header files for developing programs using gsl
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do bibliotek gsl
Summary(pt_BR.UTF-8):	Ferramentas de desenvolvimento para a gsl
Summary(ru.UTF-8):	Файлы для разработки с научной библиотекой GNU (GSL)
Summary(uk.UTF-8):	Файли для розробки з науковою бібліотекою GNU (GSL)
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libgsl0-devel

%description devel
Header files for developing programs using gsl.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do bibliotek gsl.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão, bibliotecas e documentação necessário para
desenvolver aplicativos que utilizam a biblioteca gsl.

%description devel -l ru.UTF-8
Это библиотеки, хедеры и документация по использованию научной
библиотеки GNU в ваших программах.

%description devel -l uk.UTF-8
Це бібліотеки, хедери та документація по використанню наукової
бібліотеки GNU у ваших програмах.

%package static
Summary:	Static gsl librariries
Summary(pl.UTF-8):	Biblioteki statyczne gsl
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com gsl
Summary(ru.UTF-8):	Статические библиотеки для разработки с научной библиотекой GNU (GSL)
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з науковою бібліотекою GNU (GSL)
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static gsl librariries.

%description static -l pl.UTF-8
Biblioteki statyczne gsl.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com gsl.

%description static -l ru.UTF-8
Это статическая библиотека для использования научной библиотеки GNU в
ваших программах.

%description static -l uk.UTF-8
Це статична бібліотека для використання наукової бібліотеки GNU у
ваших програмах.

%package progs
Summary:	gsl utility programs
Summary(pl.UTF-8):	Narzędzia dla gsl
Group:		Applications/Science
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
gsl utility programs.

%description progs -l pl.UTF-8
Narzędzia dla gsl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libgsl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsl.so.0
%attr(755,root,root) %{_libdir}/libgslcblas.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgslcblas.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsl-config
%attr(755,root,root) %{_libdir}/libgsl.so
%attr(755,root,root) %{_libdir}/libgslcblas.so
%{_libdir}/libgsl.la
%{_libdir}/libgslcblas.la
%{_includedir}/gsl
%{_aclocaldir}/gsl.m4
%{_pkgconfigdir}/gsl.pc
%{_infodir}/gsl-ref.info*
%{_mandir}/man1/gsl-config.1*
%{_mandir}/man3/gsl.3*

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsl-histogram
%attr(755,root,root) %{_bindir}/gsl-randist
%{_mandir}/man1/gsl-histogram.1*
%{_mandir}/man1/gsl-randist.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libgsl.a
%{_libdir}/libgslcblas.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gsl.spec,v $
Revision 1.73  2010/04/02 20:50:04  qboosh
- updated to 1.14
- updated info patch

Revision 1.72  2009/01/22 23:06:47  qboosh
- updated to 1.12

Revision 1.71  2008/04/01 20:36:30  qboosh
- updated to 1.11

Revision 1.70  2008-01-24 01:36:32  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.69  2007-11-04 17:39:45  qboosh
- updated to 1.10 (GPL v3 applies)

Revision 1.68  2007/03/25 12:00:12  vip
- up to 1.9

Revision 1.67  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.65  2006/04/22 20:33:43  qboosh
- updated to 1.8

Revision 1.64  2005/10/21 20:25:04  qboosh
- updated to 1.7

Revision 1.63  2005/01/07 17:16:02  qboosh
- updated to 1.6

Revision 1.62  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.61  2004/08/31 09:00:59  snurf
- typos / formatting / etc.

Revision 1.60  2004/07/03 21:33:43  qboosh
- updated to 1.5, removed obsolete am18 patch

Revision 1.59  2003/12/28 17:59:45  qboosh
- added am18 and link patches, updated URL, fixed -progs Group, release 2

Revision 1.58  2003/10/25 13:18:24  ankry
- pl cosmetics

Revision 1.57  2003/08/19 11:40:44  trojan
- updated to 1.4
- removet outdated patch

Revision 1.56  2003/06/27 13:10:45  mmazur
- mass commit; now req: name = epoch:version

Revision 1.55  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.54  2003/05/25 05:48:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2003/01/23 22:41:44  kloczek
- merge translations from KSI.

Revision 1.52  2003/01/23 20:20:15  qboosh
- up to 1.3, added acfix patch

Revision 1.51  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.50  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.49  2002/08/10 16:36:05  qboosh
- added missing man pages to -progs
- release 2

Revision 1.48  2002/08/08 20:40:04  dobrek
- Upgraded to 1.2

Revision 1.47  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.46  2002/05/21 23:13:30  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.45  2002/04/25 16:30:33  arturs
fixed a small typo

Revision 1.44  2002/03/25 08:00:30  kloczek
- release 2: libgsl0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.43  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.42  2002/03/20 21:22:24  qboosh
- Epoch=1 to allow upgrade from 20020221

Revision 1.41  2002/03/19 13:33:20  dobrek
- Upgraded to 1.1.1.
- Bugfixes mainly.
- The previous realese has most of them fixed but it was a cvs snapshot.
- STBR

Revision 1.40  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/21 15:13:27  dobrek
-Upgraded to a today snapshot.
- gsl 1.1 is anyway not an official realase.
- Laguerre Polynomials does't worka as should in 1.0 and laters

Revision 1.37  2002/01/31 22:26:10  kloczek
- updated to 1.1 (bugfix release) and removed obsoleted am15 patch.

Revision 1.36  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/15 03:29:17  kloczek
- updated to 1.0,
- added am15 patch.

Revision 1.34  2001/09/20 05:31:54  kloczek
- updated to 0.9.3,
- removed obsoleted amfix patc,
- added pkgconfig file to devel %files list.

Revision 1.33  2001/09/17 12:20:34  qboosh
- removed English "es" translations

Revision 1.32  2001/09/08 23:40:12  qboosh
- release 2: amfix patch, run automake (fixes build)

Revision 1.31  2001/08/31 15:13:49  kloczek
- updated to 0.9.2,
- new URL and Source url.

Revision 1.30  2001/08/30 05:09:17  kloczek
- merge translations from CNV.

Revision 1.29  2001/08/19 22:52:35  kloczek
- updated to 0.9.1.

Revision 1.28  2001/08/13 14:59:08  kloczek
- updated to 0.9,
- added man pages to devel.

Revision 1.27  2001/08/12 17:37:20  blues
- Release 4
- ac 2.5 ready (buildrequires added)
- adapterized and pl translation added

Revision 1.26  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/05/18 20:46:21  kloczek
- release 3.

Revision 1.23  2000/11/16 08:05:23  kloczek
- updated to 0.7.

Revision 1.22  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.21  2000/07/12 23:15:34  kloczek
- release 3.

Revision 1.20  2000/07/07 13:20:38  klakier
- description pl fixed

Revision 1.19  2000/06/23 13:04:52  kloczek
- release 2.

Revision 1.18  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:22:56  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/07 08:20:25  kloczek
- fiew typos.

Revision 1.15  2000/06/07 07:43:32  kloczek
- completly rewrited spec using new automake suit,
- added static and progs subpackages.

Revision 1.14  2000/06/06 23:58:08  dobrek
updated to 0.6

Revision 1.13  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.12  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.11  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.10  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.9  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  1999/12/23 11:19:26  cieciwa
- added gzipped *.info file,
- added gsl-ref.ps to %doc field,
- stripped binary file in %{_bindir}.

Revision 1.7  1999/12/23 10:31:23  cieciwa
- added documentation (gsl-ref.ps.gz) to %doc.

Revision 1.6  1999/12/23 10:28:10  cieciwa
- fixed error with two %postun

Revision 1.5  1999/12/23 10:22:13  cieciwa
- fixed typo.

Revision 1.4  1999/12/23 10:20:58  cieciwa
- version 0.5 release 1,
- changed Source: location,
- temporary removed old patch.

Revision 1.3  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.2  1999/09/19 09:41:26  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw
